(solved) shearwater gtk theme: "image file not found" errmsg

Forum Forums Official Releases antiX-16 “Berta Cáceres” (solved) shearwater gtk theme: "image file not found" errmsg

  • This topic has 10 replies, 4 voices, and was last updated Jul 27-6:59 pm by tlaloc77.
Viewing 11 posts - 1 through 11 (of 11 total)
  • Author
    Posts
  • #2758
    Member
    tlaloc77tlaloc77

    The message is:

    /usr/share/themes/shearwater/gtk-2.0/gtkrc:339: Bilddatei konnte nicht in pixmap_path gefunden werden: »panel-bg-dark.png«
    That should translate to something like “Image file could not be found in pixmap_path: »panel-bg-dark.png«”

    Meanwhile I noticed that the shearwater theme directory contains a symlink into a Bluebird theme directory, but there is no Bluebird theme directory. I tried searching with the package manager, but didn’t find a package that installs the Bluewater theme, so I have no idea about how to fix this.

    • This topic was modified 2 years ago by skidoo.

    My inxi -zv7, inxi -Fxs and inxi -r are here: https://www.antixforum.com/forums/topic/a-proper-hellp/#post-2981

    #2774
    Member
    Avatarskidoo

    bluebird is provided by this debian package: bluebird-gtk-theme (size:706kb)
    (installing this package should fix the “not found” issue)

    FWIW, I checked “shearwater” (provided by package “murrine-themes”)
    https://packages.debian.org/stretch/murrine-themes
    and discovered murrine-themes marks Bluebird (bluebird-gtk-themes) package as “recommends”, not “depends”.

    • This reply was modified 2 years ago by skidoo.
    • This reply was modified 2 years ago by skidoo.
    #2778
    Member
    tlaloc77tlaloc77

    Thank you,

    bluebird is provided by this debian package: bluebird-gtk-theme (size:706kb)
    (installing this package should fix the “not found” issue)

    My package manager can’t find anything with “Bluebird” in name and description. Different package sources? Mine are:

    deb – http://repo.antixlinux.com/stretch/ (Distribution stretch) – only this one is the default, I think
    deb-src – http://repo.antixlinux.com/stretch/ (Distribution stretch) – added by me
    deb – http://kovacsoltvideo.hu/moonchildproductions/ (Distribution ./) – added by me, for Palemoon

    Do you have anything else?

    FWIW, I checked “shearwater” (provided by package “murrine-themes”)
    https://packages.debian.org/stretch/murrine-themes
    and discovered murrine-themes marks Bluebird (bluebird-gtk-themes) package as “recommends”, not “depends”.

    So there’s a little packaging error. But I guess even if there was none, it wouldn’t help as long as the required package cannot be found.

    • This reply was modified 2 years ago by tlaloc77.
    • This reply was modified 2 years ago by tlaloc77.

    My inxi -zv7, inxi -Fxs and inxi -r are here: https://www.antixforum.com/forums/topic/a-proper-hellp/#post-2981

    #2786
    Member
    Avatarskidoo

    peek in your /etc/sources.list.d/ directory
    All of the *.list files are consulted. What you posted above looks like just the content of your edited antix.list
    (btw: For custom “stuff”, can add an arbitrary number of aribitrarily-named *.list files in this directory instead of editing the stock list files)

    Maybe “debian.list” got deleted?
    Maybe “debian.list” got edited and all lines are currently outcommented?
    Maybe just need to (re)generate a manifest of available packages? (sudo apt update or “Refresh” button in synaptic)

    #2793
    Member
    capreacaprea

    Assuming you are using antiX17, cause you posted under.
    This is mine repo-list:

    $ inxi -r
    Repos:     Active apt sources in file: /etc/apt/sources.list.d/antix.list
               deb http://repo.antixlinux.com/stretch/ stretch main nosystemd
    
               Active apt sources in file: /etc/apt/sources.list.d/debian-stable-updates.list
               deb http://ftp.de.debian.org/debian/ stretch-updates main contrib non-free
    
               Active apt sources in file: /etc/apt/sources.list.d/debian.list
               deb http://ftp.de.debian.org/debian/ stretch main contrib non-free
               deb http://security.debian.org/ stretch/updates main contrib non-free
    
    • This reply was modified 2 years ago by skidoo.
    #2795
    Member
    tlaloc77tlaloc77

    Thank you both!

    I found it. After adding:

    deb – http://ftp.de.debian.org/debian/ (Distribution stretch)

    the Bluebird theme and a few other themes got found. I installed the Bluebird-theme and – it’s fixed 🙂

    Edit: Maybe I better add stretch/update and security, too.

    • This reply was modified 2 years ago by tlaloc77.
    • This reply was modified 2 years ago by tlaloc77.

    My inxi -zv7, inxi -Fxs and inxi -r are here: https://www.antixforum.com/forums/topic/a-proper-hellp/#post-2981

    #2798
    Member
    Avatarskidoo

    After adding:

    So, was posted to antiX 17 subforum but its not an antiX 17 system?
    (Indeed, bluebird-gtk-theme is absent from “jessie” repository.)

    OK marking this solved and moving to yudder subforum.

    #2863
    Member
    tlaloc77tlaloc77

    After adding:

    So, was posted to antiX 17 subforum but its not an antiX 17 system?

    It is indeed an antiX-17 system. I think the error message appeared after I added the repository for Palemoon and installed Palemoon, but up until this point I did not remove any repository. So originally the shearwater theme was installed and the Bluebird theme was not. Then, after the error message appeared, I added some repositories which caused some trouble. So I removed the repositories I added but it might be that I removed more than just them.

    (Indeed, bluebird-gtk-theme is absent from “jessie” repository.)

    What about the antiX repository for stretch? Could it be that the shearwater-theme is included there but the Bluebird-theme is not? I found the Bluebird theme only after adding (Edit(4): Maybe adding it back, not sure) the debian repository for stretch.

    OK marking this solved and moving to yudder subforum.

    Thank you.
    Edit(3): Wait, closing it marking it as solved is correct, but moving it to antiX-16 is not. No Jessie repository is involved.

    Edit(5/6):

    root@antix1:/usr/share/themes# inxi -r
    Repos:     Active apt sources in file: /etc/apt/sources.list.d/antix.list
               deb http://repo.antixlinux.com/stretch/ stretch nosystemd main
               deb-src http://repo.antixlinux.com/stretch/ stretch main nosystemd
               Active apt sources in file: /etc/apt/sources.list.d/debian.list
               deb http://ftp.de.debian.org/debian/ stretch non-free contrib main
               Active apt sources in file: /etc/apt/sources.list.d/palemoon.list
               deb http://kovacsoltvideo.hu/moonchildproductions/ ./
    root@antix1:/usr/share/themes# cat /etc/antix-version /etc/debian_version 
    antiX-17_x64-base Heather Heyer 24 October 2017
    9.2
    • This reply was modified 2 years ago by tlaloc77.
    • This reply was modified 2 years ago by tlaloc77.
    • This reply was modified 2 years ago by tlaloc77.

    My inxi -zv7, inxi -Fxs and inxi -r are here: https://www.antixforum.com/forums/topic/a-proper-hellp/#post-2981

    #2869
    Forum Admin
    anticapitalistaanticapitalista

    Different package sources? Mine are:

    deb – http://repo.antixlinux.com/stretch/ (Distribution stretch) – only this one is the default, I think NO IT ISN’T. DEBIAN STRETCH REPO IS ALSO ENABLED BY DEFAULT
    deb-src – http://repo.antixlinux.com/stretch/ (Distribution stretch) – added by me WHY?
    deb – http://kovacsoltvideo.hu/moonchildproductions/ (Distribution ./) – added by me, for Palemoon WHY? PALEMOON IS ALREADY IN THE ANTIX REPO.

    • This reply was modified 2 years ago by anticapitalista.

    Philosophers have interpreted the world in many ways; the point is to change it.

    #2876
    Member
    tlaloc77tlaloc77

    Mistakes were made, obviously. Looks like I’m getting old.

    Different package sources? Mine are:

    deb – http://repo.antixlinux.com/stretch/ (Distribution stretch) – only this one is the default, I think NO IT ISN’T. DEBIAN STRETCH REPO IS ALSO ENABLED BY DEFAULT
    deb-src – http://repo.antixlinux.com/stretch/ (Distribution stretch) – added by me WHY?

    Because I wanted to be able to get access to source packages. But I don’t see them anyway. Removed.

    deb – http://kovacsoltvideo.hu/moonchildproductions/ (Distribution ./) – added by me, for Palemoon WHY? PALEMOON IS ALREADY IN THE ANTIX REPO.

    I got crashes, once or twice a day. The palemoon homepage mentioned 2 sources for debian, so I removed the mx-repack and installed the Kovacs-repack, 5 days ago. No crashes since then. SO I’M KEEPING IT.

    My inxi -zv7, inxi -Fxs and inxi -r are here: https://www.antixforum.com/forums/topic/a-proper-hellp/#post-2981

    #25046
    Member
    tlaloc77tlaloc77

    @skidoo – asking for help: Can you please move this back to antiX-17?

    At the end of my post here: https://www.antixforum.com/forums/topic/themes-problem-usr-share-themes-shearwater-gtk-2-0-gtkrc339/#post-2863
    my version is shown:

    # cat /etc/antix-version /etc/debian_version 
    antiX-17_x64-base Heather Heyer 24 October 2017
    9.2

    So moving the thread to antix-16 was wrong! I don’t know how much it means and since it was solved I didn’t care much when nobody moved it back after I confirmed that my antiX-Version was and still is antiX-17 “Heather Heyer”. But now I thought I should probably point it out some more.

    My inxi -zv7, inxi -Fxs and inxi -r are here: https://www.antixforum.com/forums/topic/a-proper-hellp/#post-2981

Viewing 11 posts - 1 through 11 (of 11 total)
  • You must be logged in to reply to this topic.